net.fortuna.ical4j.model

## Class ParameterFactoryImpl

- java.lang.Object
- - net.fortuna.ical4j.model.AbstractContentFactory
  - - net.fortuna.ical4j.model.ParameterFactoryImpl

All Implemented Interfaces:
  Serializable, ParameterFactory

Direct Known Subclasses:
  ParameterFactoryRegistry

    public class ParameterFactoryImpl
    extends AbstractContentFactory
    implements ParameterFactory

A factory for creating iCalendar parameters. $Id $ [05-Apr-2004]

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `ParameterFactoryImpl()`

### Method Summary

Methods
`Parameter` `createParameter(String name, String value)` Creates a parameter.
`static ParameterFactoryImpl` `getInstance()`

### Methods inherited from class net.fortuna.ical4j.model.AbstractContentFactory

`allowIllegalNames, getFactory, registerDefaultFactory, registerExtendedFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterFactoryImpl

    protected ParameterFactoryImpl()

### Method Detail

#### getInstance

    public static ParameterFactoryImpl getInstance()

Returns:
  Returns the instance.

#### createParameter

    public Parameter createParameter(String name,
                            String value)
                              throws URISyntaxException

Creates a parameter.

Specified by:
  `createParameter` in interface `ParameterFactory`
Parameters:
  `name` - name of the parameter
  `value` - a parameter value
Returns:
  a component
Throws:
  `URISyntaxException` - thrown when the specified string is not a valid representation of a URI for selected parameters